Subject: bug#28619: closed (Re: [bug#28619] [PATCH] doc: Fix rottlog configuration sample code.)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 30 Sep 2017 17:27:01 +0000

Your bug report

#28619: [PATCH] doc: Fix rottlog configuration sample code.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
28619: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=28619
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#28619] [PATCH] doc: Fix rottlog configuration sample code.
From: Thomas Danckaert <[email-masked]>
To: [email-masked]
Date: Sat, 30 Sep 2017 19:26:23 +0200 (CEST)
List-Id: <debbugs-submit.debbugs.gnu.org>

Subject: [PATCH] doc: Fix rottlog configuration sample code.
From: Thomas Danckaert <[email-masked]>
To: [email-masked]
Date: Wed, 27 Sep 2017 17:36:34 +0200 (CEST)
List-Id: <debbugs-submit.debbugs.gnu.org>

I believe the current example code for a basic rottlog-service does 
not work. (mcron-service) requires an argument specifying the list of 
jobs.

I think either (service mcron-service-type) or (mcron-service '()) 
would be ok.  I use the former and attached patch updates the manual 
in this way.  Is that ok?

Thomas
>From 46b54b38ceea9c1e20e68be6e2d1127b41a14e72 Mon Sep 17 00:00:00 2001
From: Thomas Danckaert <[email-masked]>
Date: Wed, 27 Sep 2017 17:31:31 +0200
Subject: [PATCH] doc: Fix rottlog configuration sample code.

* doc/guix.texi (Log Rotation): Correct code for the default mcron-service.
---
 doc/guix.texi | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/doc/guix.texi b/doc/guix.texi
index 1356a357c..9fd99fd53 100644
--- a/doc/guix.texi
+++ b/doc/guix.texi
@@ -9959,7 +9959,7 @@ with the default settings, for commonly encountered log files.
 
 (operating-system
   ;; @dots{}
-  (services (cons* (mcron-service)
+  (services (cons* (service mcron-service-type)
                    (service rottlog-service-type)
                    %base-services)))
 @end lisp
-- 
2.14.1